package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 数据库表HTT_APPEARANCECHECK_RESULT_D所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF date 2016-11-25
 */
@SuppressWarnings("serial")
public class HttAppearancecheckResultDEntity implements Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 外观检查主记录实绩编号
     */
    private String mResultNo = "";
    /**
     * 抽检序号
     */
    private String seqNo = "";
    /**
     * 钢管号
     */
    private String pipeNo = "";
    /**
     * 东端直度
     */
    private String endaStraightness = "";
    /**
     * 东端平均外径
     */
    private String endaAvgOd = "";
    /**
     * 东端大径
     */
    private String endaMaxOd = "";
    /**
     * 东端小径
     */
    private String endaMinOd = "";
    /**
     * 东端不圆度
     */
    private String endaOvality = "";
    /**
     * 西端直度
     */
    private String endbStraightness = "";
    /**
     * 西端平均外径
     */
    private String endbAvgOd = "";
    /**
     * 西端小径
     */
    private String endbMinOd = "";
    /**
     * 西端大径
     */
    private String endbMaxOd = "";
    /**
     * 西端不圆度
     */
    private String endbOvality = "";
    /**
     * 组料炉批号
     */
    private String heatnoLast = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 创建人
     */
    private String createName = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @return value
     */
    public String getMResultNo() {
        return mResultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @param mResultNo value
     */
    public void setMResultNo(String mResultNo) {
        this.mResultNo = mResultNo;
    }

    /**
     * 抽检序号
     * @return value
     */
    public String getSeqNo() {
        return seqNo;
    }

    /**
     * 抽检序号
     * @param seqNo value
     */
    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }

    /**
     * 钢管号
     * @return value
     */
    public String getPipeNo() {
        return pipeNo;
    }

    /**
     * 钢管号
     * @param pipeNo value
     */
    public void setPipeNo(String pipeNo) {
        this.pipeNo = pipeNo;
    }

    /**
     * 东端直度
     * @return value
     */
    public String getEndaStraightness() {
        return endaStraightness;
    }

    /**
     * 东端直度
     * @param endaStraightness value
     */
    public void setEndaStraightness(String endaStraightness) {
        this.endaStraightness = endaStraightness;
    }

    /**
     * 东端平均外径
     * @return value
     */
    public String getEndaAvgOd() {
        return endaAvgOd;
    }

    /**
     * 东端平均外径
     * @param endaAvgOd value
     */
    public void setEndaAvgOd(String endaAvgOd) {
        this.endaAvgOd = endaAvgOd;
    }

    /**
     * 东端大径
     * @return value
     */
    public String getEndaMaxOd() {
        return endaMaxOd;
    }

    /**
     * 东端大径
     * @param endaMaxOd value
     */
    public void setEndaMaxOd(String endaMaxOd) {
        this.endaMaxOd = endaMaxOd;
    }

    /**
     * 东端小径
     * @return value
     */
    public String getEndaMinOd() {
        return endaMinOd;
    }

    /**
     * 东端小径
     * @param endaMinOd value
     */
    public void setEndaMinOd(String endaMinOd) {
        this.endaMinOd = endaMinOd;
    }

    /**
     * 东端不圆度
     * @return value
     */
    public String getEndaOvality() {
        return endaOvality;
    }

    /**
     * 东端不圆度
     * @param endaOvality value
     */
    public void setEndaOvality(String endaOvality) {
        this.endaOvality = endaOvality;
    }

    /**
     * 西端直度
     * @return value
     */
    public String getEndbStraightness() {
        return endbStraightness;
    }

    /**
     * 西端直度
     * @param endbStraightness value
     */
    public void setEndbStraightness(String endbStraightness) {
        this.endbStraightness = endbStraightness;
    }

    /**
     * 西端平均外径
     * @return value
     */
    public String getEndbAvgOd() {
        return endbAvgOd;
    }

    /**
     * 西端平均外径
     * @param endbAvgOd value
     */
    public void setEndbAvgOd(String endbAvgOd) {
        this.endbAvgOd = endbAvgOd;
    }

    /**
     * 西端小径
     * @return value
     */
    public String getEndbMinOd() {
        return endbMinOd;
    }

    /**
     * 西端小径
     * @param endbMinOd value
     */
    public void setEndbMinOd(String endbMinOd) {
        this.endbMinOd = endbMinOd;
    }

    /**
     * 西端大径
     * @return value
     */
    public String getEndbMaxOd() {
        return endbMaxOd;
    }

    /**
     * 西端大径
     * @param endbMaxOd value
     */
    public void setEndbMaxOd(String endbMaxOd) {
        this.endbMaxOd = endbMaxOd;
    }

    /**
     * 西端不圆度
     * @return value
     */
    public String getEndbOvality() {
        return endbOvality;
    }

    /**
     * 西端不圆度
     * @param endbOvality value
     */
    public void setEndbOvality(String endbOvality) {
        this.endbOvality = endbOvality;
    }

    /**
     * 组料炉批号
     * @return value
     */
    public String getHeatnoLast() {
        return heatnoLast;
    }

    /**
     * 组料炉批号
     * @param heatnoLast value
     */
    public void setHeatnoLast(String heatnoLast) {
        this.heatnoLast = heatnoLast;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }
}
